Contents

# CurDir Function

Returns a variant string that represents the current path or that of the specified Windows drive.

Some DOS-specific file and directory functions are no longer provided in LibreOfficeDev, or their function is only limited. For example, support for the ChDir, ChDrive and CurDir functions is not provided. Some DOS-specific properties are no longer used in functions that expect file properties as parameters (for example, to differentiate from concealed files and system files). This ensures the greatest possible level of platform independence for LibreOfficeDev. Therefore this feature is subject to removal in a future release.

The ScriptForge library in LibreOfficeDev 7.1 introduces the FileSystem service with methods to handle files and folders in user scripts.

### Syntax:

    CurDir [(Text As String)]

## Return value:

String

### Parameters:

Text: Any string expression that specifies an existing drive, for example "C" for the first partition of the first hard drive. This parameter is used solely under Windows.

If no drive is specified or if the drive is a zero-length string (""), CurDir returns the path for the current drive. LibreOfficeDev Basic reports an error if the syntax of the drive description is incorrect or if the drive does not exist.

This function is not case-sensitive.

### Error codes:

5 Invalid procedure call

68 Device not available

7 Not enough memory

51 Internal error

### Example:

      Sub ExampleCurDir
          Dim sDir1 As String, sDir2 As String
          sDir1 = "C:\Test"
          sDir2 = "D:\Private"
          ChDir( sDir1 )
          MsgBox CurDir
          ChDir( sDir2 )
          MsgBox CurDir
      End Sub

Related Topics

ScriptForge.FileSystem service

ScriptForge.TextStream service